#!/usr/bin/env python

import activities_xsd_types as axs
import DataService_client as ds

import ZSI
from ZSI.schema import GED

from activity import *

wsauri = "http://schemas.xmlsoap.org/ws/2004/03/addressing"

class DataServiceResourceKey(str):
        typecode = ZSI.TC.String(pname=('http://ogsadai.org.uk','DataServiceResourceKey'))

def EPRWrap(name):
	epr = GED(wsauri, "EndpointReference").pyclass()
	epr.ReferenceProperties = epr.new_ReferenceProperties()
	epr.ReferenceProperties.Any = [DataServiceResourceKey(name)]
	return epr

PerformWrap = GED(Activity.ns, "perform").pyclass

